Package ru.bitel.bgbilling.modules.inet.common.bean

# Class TrafficTypeLinkRule

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.inet.common.bean.TrafficTypeLinkRule

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class TrafficTypeLinkRule
    extends Id

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `IpAddress` | `addressFrom` |
  `IpAddress` | `addressTo` |
  `static int` | `ANY_IFACE` |
  `java.lang.String` | `counterPrefix` |
  `java.lang.String` | `counterRealm` |
  `java.lang.String` | `counterService` |
  `int` | `counterType` |
  `int` | `counterVendor` |
  `java.util.Date` | `dateFrom` |
  `java.util.Date` | `dateTo` |
  `int` | `diffServ` |
  `int` | `diffServMask` |
  `java.lang.String` | `diffServString` |
  `int` | `direction` |
  `static int` | `DIRECTION_IN` |
  `static int` | `DIRECTION_OUT` |
  `int` | `interfaceId` |
  `int` | `portFrom` |
  `int` | `portTo` |
  `int` | `sourceId` |
  `long` | `timeFrom` |
  `long` | `timeTo` |
  `java.lang.Integer` | `trafficTypeId` |
  `int` | `type` |
  `static int` | `TYPE_COUNTER` |
  `static int` | `TYPE_FLOW` |

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `TrafficTypeLinkRule()` | Для JAXB
  `` | `TrafficTypeLinkRule​(java.util.Date dateFrom, java.util.Date dateTo, int sourceId, int interfaceId, int direction, IpAddress addressFrom, IpAddress addressTo, int portFrom, int portTo, java.lang.String diffServString, int trafficTypeId, java.lang.String comment)` |
  `` | `TrafficTypeLinkRule​(java.util.Date dateFrom, java.util.Date dateTo, java.lang.String counterRealm, java.lang.String counterService, int counterVendor, int counterType, java.lang.String counterPrefix, int trafficTypeId, java.lang.String comment)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getComment()` |
  `void` | `setComment​(java.lang.String comment)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### TYPE_COUNTER

    public static final int TYPE_COUNTER
    See Also:
      Constant Field Values

  - ### TYPE_FLOW

    public static final int TYPE_FLOW
    See Also:
      Constant Field Values

  - ### ANY_IFACE

    public static final int ANY_IFACE
    See Also:
      Constant Field Values

  - ### DIRECTION_OUT

    public static final int DIRECTION_OUT
    See Also:
      Constant Field Values

  - ### DIRECTION_IN

    public static final int DIRECTION_IN
    See Also:
      Constant Field Values

  - ### dateFrom

    public final java.util.Date dateFrom

  - ### dateTo

    public final java.util.Date dateTo

  - ### timeFrom

    public final long timeFrom

  - ### timeTo

    public final long timeTo

  - ### type

    public final int type

  - ### counterRealm

    public final java.lang.String counterRealm

  - ### counterService

    public final java.lang.String counterService

  - ### counterVendor

    public final int counterVendor

  - ### counterType

    public final int counterType

  - ### counterPrefix

    public final java.lang.String counterPrefix

  - ### sourceId

    public final int sourceId

  - ### interfaceId

    public final int interfaceId

  - ### direction

    public final int direction

  - ### addressFrom

    public final IpAddress addressFrom

  - ### addressTo

    public final IpAddress addressTo

  - ### portFrom

    public final int portFrom

  - ### portTo

    public final int portTo

  - ### diffServ

    public final int diffServ

  - ### diffServMask

    public final int diffServMask

  - ### diffServString

    public final java.lang.String diffServString

  - ### trafficTypeId

    public final java.lang.Integer trafficTypeId

- ## Constructor Details

  - ### TrafficTypeLinkRule

    protected TrafficTypeLinkRule()
    Для JAXB

  - ### TrafficTypeLinkRule

    public TrafficTypeLinkRule​(java.util.Date dateFrom, java.util.Date dateTo, java.lang.String counterRealm, java.lang.String counterService, int counterVendor, int counterType, java.lang.String counterPrefix, int trafficTypeId, java.lang.String comment)
    Parameters:
      `dateFrom` -
      `dateTo` -
      `counterRealm` -
      `counterService` -
      `counterVendor` -
      `counterType` -
      `counterPrefix` -
      `trafficTypeId` -
      `comment` -

  - ### TrafficTypeLinkRule

    public TrafficTypeLinkRule​(java.util.Date dateFrom, java.util.Date dateTo, int sourceId, int interfaceId, int direction, IpAddress addressFrom, IpAddress addressTo, int portFrom, int portTo, java.lang.String diffServString, int trafficTypeId, java.lang.String comment)

- ## Method Details

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `Id`